-- ProBuilder 2.2.5f5 -

# Features
	- Add `Arch` tool to Shape Creation Panel.
	- New parameters for Door shape generator.
	- New 'Selection / Select All Faces with Material' menu item.
	- Add a Selection menu item to select all faces with current material.
	- New live information update show face movement information.
    - Fancy new install script automatically detects previous installations and forgoes the need for user interaction in most upgrade cases.

# Bug Fixes
	- Fix inconsistent Undo for face selection on ProBuilder objects.
	- Clean up Shader warnings on initial import.
	- Fix ProBuilder.Instantiate() ignoring position and rotation parameters.
	- Don't force rename objects when changing the Entity type.
	- Fix face selection highlight being incorrectly affected by Fog.
	- Fix bug where handle alignment preference would be lost occasionally.
	- Fix bug where Grow Selection (non-planar) would allow duplicate faces to be selected.
	- Fix bug where prefab objects would throw "Shader wants normals" warnings and sometimes not initialize in scene.
	- Fix issue where UV2 channel would not correctly initialize on prefab objects.
	- Fix bug where rapidly clicking to add faces would frequently result in the deselection of all faces.
	- Fix bug where MirrorTool would incorrectly affect source object's transform.
	- Fix duplicate and mirrored objects affecting the original mesh geometry.
	- Fix null-ref error when using Edge Ring tool on a non-circuital ring.
	- Fix bug where mesh colliders added via Entity component menu would incorrectly have the 'Convex' flag toggled.
	- Fix bug that caused mirrored objects to lose the source object's entity type.
	- Remove the ability to select non-ProBuilder objects when in Geometry or Texture mode (toggle-able via ProBuilder/Preferences).
	- Lower distance threshold for mouse distance to line to be considered selectable.
	- Fix bug that broke scaling objects when not in PB editor.
	- Fix regression that broke deep copying objects when duplicating or copy/pasting.
	- Clean up Shape Creation interface to consistently show build button at bottom of screen, and provide scroll bars when necessary for parameters.
	- Duplicate entire GameObject (including attached components) when running `ProBuilder-ize` action.
	- Fixed bug with cone shape generation not using radius parameter.
	- Enable NavMeshStatic and OffMeshLinkGen flags by default on new pb-Objects.
	- Add pb_Object component check in addition to pb_Entity check in Repair / Validate Components.
	- Fix install script breakage on Unity 4.3+
	- Fix Mirror Tool incorrectly modifying donor object's normals.
	- Fix issue where applied changes to ProBuilder prefabs would not immediately update all other instances.
	- Fix inconsistent extrusion with Edge and Vertex selections.
	- Fix bug where TextureWindow would not initialize with current selection.
	- Automatically clean up degenerate triangles caused by vertex merge/weld operations.
	- Enable 'Push to Grid' support for ProGrids users with vertex, edge, and face selection.
	- Fix bug that caused vertices behind the scene camera to be selected incorrectly in some cases.
	- Fix object incorrectly instantiating off-grid with strange pivot placement.
	- (Beta) Rename AboutWindow to avoid namespace conflicts.

# Changes
	- Rename 6by7 root folder to ProCore.
	- New ProCore.dll replaces SixBySeven.dll (shared classes between ProCore products).

# API
	- pb_Object.SelectedTriangles is no longer guaranteed to contain only unique indices.
	- Convert pb_Preferences_Internal::GetEnum<> to use ints instead of strings, modify pb_Editor to match.
	- pb_Object.SelectedTriangles is no longer guaranteed to contain values corresponding to uniqueIndices array.
	- Remove deprecated pb_Face::DeepCopy.  Implement copy constructor.
	- Move many of ProBuilder's classes to namespaces (ProBuilder2.Common, ProBuilder2.MeshOperations, etc).
	- New ClassesEditing segment of Classes folder contains all non-essential files.  This allows for a single ProBuilderCore.dll that can be redistributed with ProBuilder objects allowing users without ProBuilder to view and load ProBuilder objects.

-- ProBuilder 2.2.4f0 -
	
# Bug Fixes
	- Fix 'Null Reference Error' when editing objects at runtime.
	- Fix crash at runtime when ProBuilder object is selected.

-- ProBuilder 2.2.3f0 -

# Features
	- New 'Grow Selection Plane' which expands the selected face to nearby faces on the same plane.

# Bug Fixes
	- Fix regression where handle tool would not default to Top level editing in Geometry mode when no vertices were selected.
	- Fix bug where colliders would be lost on upgrading PB install.
	- Enable multi-object editing for pb_Entity inspectors.

# API
	- Move and rename pb_Object::MeshWithMesh to pbMeshUtils.DeepCopyMesh.
	- Fix PlaneNormal not returning a normalized vector (yikes!).

-- ProBuilder 2.2.2f4 -

# Features
	- New 'Texture Groups' UV setting.  Select faces and group to project seamless UVs. 
	- New 'Make Asset' Action allows users to save ProBuilder objects as Mesh objects.
	- New `Subdivide` command.
	- New `Connect` command (edges, faces, vertices).
	- New `Insert Edge Loop` command.
	- New `Select Ring` command.
	- New `Grow Selection` command (Alt-G).
	- Significant performance improvements when working with large objects.
	- New preferences to set vertex handle colors and size.
	- Improve performance when drag selecting edges.
	- New 'Remove Degenerate Triangles' Repair menu item.
	- New snap to nearest vertex feature.  When moving vertices, hold 'V' to snap handle to nearest vertex.
	- New 'Quick Offset' tool in pb_Object inspector window.  Set a value and immediately move the selected vertices by that amount (thanks to Matt1988 for initially developing this feature).

# Bug Fixes
	- Override Frame selection to focus on only selected vertices (thanks @nickgravelyn for this tip).
	- Fix inconsistent keyboard shortcuts on Mac.
	- Tool buttons are now respected by ProBuilder handle.
	- Fix bug where ProBuilder GUISkin wouldn't correctly initialize when left open during a Unity restart.
	- Fix bug where double clicking a pb_Object to select all would not properly select all Edges.
	- Fix bug where ProBuilder would affect other EditorWindow GUI layouts.
	- Fix bug where Mirror Tool would fail to correctly initialize objects with pb_Entity.
	- Drag selection box now more closely matches Unity's default drag box.
	- Update and improve ProBuilderize Action (now attempts to create faces instead of just triangles).
	- Fix Rotation handle incorrectly updating to match selection when dragging (occasionally throwing Quaternion.LookRotation == Zero warnings).
	- Fix Scale tool incorrectly using world coordinates when translating vertices.
	- Fix weird Prism geometry.
	- Fix bug where setting an object pivot with ProGrids enabled would sometimes move the object's vertices off grid.
	- Edges may now be shift-deselected.
	- Update Undo defines to check against Unity versions 4.1 -> 4.9.
	- 'Use' events when shortcuts are detected.  Seems to work about 60% of the time on Mac.
	- Fix bug where pivot would instantiate offset from grid when used in conjunction with ProGrids.
	- Fix bug that broke OBJ export when attempting to export more than one model per session.

# Changes
	- Vertex Color shortcuts are now declared in ProBuilderMenuItems, allowing users to edit them without installing Source.
	- Reorganized Menu structure.

# API
	- Selection management at object level is now entirely set in pb_Object, using new SetSelected[Faces, Edges, Triangles].
	- New naming and placement guidelines for Menu items (see pb_Constant).
	- New ShiftExtrude() method in pb_Editor removes duplicate code in Handle functions.
	- New pb_Editor_Graphics class replaces calls to UnityEngine.Handles in pb_Editor.
	- Move most MenuItems to ProBuilder2.Actions namespace (exceptions being Windowed items).
	- New pbUndo class replaces #if > UNITY_4_3 junk.

-- ProBuilder 2.2.0f4 -

# Features
	- Update Undo code for Unity 4.3 compatibility (Install Interface will determine the correct package for your Unity version automatically).	
	- Add Rotate and Scale tool when editing faces or vertices (accessed by `E` and `R` shortcuts, respectively).
	- Add EditLevel toolbar in sceneview for quickly viewing and setting EditLevel. @Genstein suggested improvement.
	- New Edge selection mode.
	- New `Bridge Edges` action.  Selected 2 edges to create a face bridging them.
	- New `Collapse Selected Vertices` action.  Select any number of vertices and merge them to a single point.
	- New `Split Selected Vertices` action.  Splits the selected vertices.
	- New `Weld Selected Vertices` action.  Checks if any selected vertices share a point, and if so, merge them.
	- New `Invert Selection` action. (ProBuilder -> Edit -> Invert Selection).
	- New `Extrude` action (ProBuilder -> Edit -> Extrude).  Works for single or multiple faces, as well as edges.  Hold shift while moving a face to automatically extrude (works for translate, rotate, and scale).
	- New Install / Upgrade interface provides options to install Release and Source versions, as well as older packages.
	- Source code is now included as an installation option.
	- New Door primitive type in Shape Generator.
	- New Pipe primitive in Shape Generator.
	- New Sprite primitive in Shape Generator.
	- New Cone primitive in Shape Generator.
	- Improved Runtime Example scene demonstrating face highlighting.
	- New "Default Material" user preference.
	- New "Select Faces with Material" tool.
	- New API example scene showing object and primitive instantiation
	- New GUI buttons for `Flip Normals`, `Mirror Object`, `Set Pivot`, `Vertex Color Interface` and `Extrude Face`.
	- Add ability to select vertex by clicking on it.
	- Add preference for turning off sceneview notifications (Preferences/ProBuilder).
	- New preference item allows you to specify the `Force Convex` field of a `Mesh Collider` if it is set to default collider.
	- New `Reset Projection Axis UV` repair tool.  Resets all UV settings to use the `Auto` face projection.
	- New `Force Pivot to Vertex` and `Force Pivot to Grid` preferences allow for easier grid snapping.
	- New default material for ProBuilder objects.

# Bug Fixes
	- Fix system beep on Mac OS when using keyboard shortcuts (this could be a headling feature).
	- Fix bug where detaching or deleting a face wouldn`t always reset the _uniqueIndices array, causing bugs in the handle selection code.
	- Add undo functionality to DetachFace action.
	- Fix bug where vertex color information would be lost on duplication, refresh, build, or just about any other action you can imagine.
	- Fix bug where detaching a face could result in empty entries to the pb_Object->_sharedIndices member, throwing null-ref.
	- Fix InvertFaceSelection not correctly updating the pb_Object->SelectedTriangles list.
	- Don`t show `Nodraw Face` notification if in Top Level editing mode.
	- `G` key now exits Texture Mode.  
	- Texture window shortcuts now show notifications.
	- Fix button sizing in pb_Editor window.
	- Show notification when toggling Selection Mode from GUI button.
	- Fix error in `Detach Face` where occasionally a null shared index array would survive the rebuild.
	- Fix compile errors in Editor code when exporting to Web.
	- Fix bug where notification for Selection Mode handle would be incorrect.
	- Fix bug where deleting a face, then undoing so would result in a NullReferenceError
	- Fix bug where `Fix GameObject Flags` would improperly exit on failing to find a pb_Entity component.
	- Fix vertex selection mouse icon drawing when not in Vertex Editing mode.
	- Fix vertex color interface losing user preferences across Unity launches.
	- Fix issue where pb_Upgrade_Utility would break installation on failing to run.
	- Fix bug where rotated UVs would not move in the proper direction when dragging with texture move tool.
	- Enable z-testing for face selection graphic.
	- Don`t show notification post-installation of Static Flag fixes if no fixes were performed.
	- Fix bug where texture handles sometimes wouldn`t match the selected face`s transform.
	- Refactor shortcut code to differentiate between modal specific actions. Fixes bug where entity assignments would incorrectly be applied in Geometry level and not Top level.
	- Fix incorrect skin colors in Unity Free on 4.3.
	- Fix bug introduced in 2.1.4 that broke texture handle toggling (thanks, H. David).
	- Fix bug where UV rotate tool would be incorrectly calculated on selection change.
	- Change UV scale and rotation behavior to no longer operate in world coordinates.
	- Fix bug where extruding would occasionally corrupt the pb_Object.uniqueIndices cache, resulting in `NullRefError` in pb_Object::GetVertices.
	- Adjust minSize of pb_Editor window to completely encompass buttons.
	- Re-word toggle select mode and edit level notifications and make them consistent between the different access points.
	- Fix bug where `Axis Constraints` toggle in ProGrids would not be respected when translating faces.
	- Fix bug where UV and Smoothing group changes would not immediately revert on Undo operations.
	- Fix regression that broke Ctrl-Left click to copy UV settings to face.
	- Fix bug where ProBuilder Editor skin settings would "leak" to other Editor windows.
	- Fix bug where collisions would sometimes not respect user preference when creating new geometry.
	- Fix bug where SceneView would sometimes not refresh on an Undo event.
	- Fix bug where pressing `W` key in the SceneView Fly mode would lock the camera to forward movement.

# Changes
	- In pb_Entity, switch the `Sphere Collider` option for `Remove Collider`.
	- Change verbage in Geometry shortcut description.
	- Add tooltip for selection mode toggle button.
	- Show HandleAlignment text when using shortcut to modify.
	- Move DetachFace to Edit menu.
	- StaticBatchingFlags.BatchingStatic is now set by default on Occluder and Detail entity objects, and toggled appropriately when NoDraw is detected.
	- Move "Create ProBuilder Cube" to "GameObject->Create Other" menu
	- Re-organize ProBuilder menu.
	- New "Fix GameObject Flags" utility to address static batching issues.  Users experiencing issues with missing ProBuilder objects at compile time should run this command once (per scene).
	- Remove `Faces` menu item, merge with `Geometry`
	- Move `Mirror Tool` and `Vertex Color Interface` to Editor Core.
	- Repair scripts now live in their own folder.
	- Tool scripts (any Action with an interface) now live in their own folder.
	- Remove unused beta upgrade script from Install folder.
	- Drag selecting faces now (optional; defaults to true) limits face searching to selected objects.
	- Remove 'Seamless' mode.

# API / Internal
	- Add get/set for pb_Obect->_sharedIndices.
	- Use ProBuilder.Actions namespace for all non-window requiring functions.
	- When initializing a pb_Object with a pb_Object, use the vertex cache instead of accessing the mesh.
	- Remove per-vertex smoothing methods in pb_Object.
	- Remove _smoothIndices member from pb_Object.
	- Move pb_Profiler to ClassesCore, allowing usage at runtime.
	- Add `color` property to pb_Face.  Used when setting Mesh.colors32.
	- New pb_Edge class (not currently in use).
	- New ProBuilder.Instantiate(GameObject go) method.  Behaves exactly like UnityEngine.GameObject.Instantiate() and may be used with ProBuilder and non-ProBuilder objects.
	- Move math methods from pbUtil to pb_Math.
	- Added List<> overrides to many of the more commonly used pb_Object method calls.
	- Clean up face selection graphic rendering code (small editor performance improvement).
	- New FixDegenerateTriangles method (handy when merging vertices or faces).
	- CombineObjects method re-built for faster combine operations.
	- New ProBuilder2.Common, ProBuilder2.MeshOperations, and ProBuilder2.Math namespaces.  Partially integrated.
	- New pb_Editor_Enum class and namespace.

# Known issues
	- With Unity 4.3 and up, undoing a Collapse Vertices operation is slow.
	- Merging rotated objects does not account for UV rotation.
	- OBJ export, something broken, etc.
	- Unity inserts an additional Undo when selecting a new face on an already selected object.
	- Can't shift-click to deselect edges.

-- ProBuilder 2.1.4 -

# Features
	- Notifications are now displayed when a shortcut is recognized.
	- New preview feature in Geometry Interface.  Interactively create and place shapes.
	- Remove dependency on concave MeshCollider for face selection.
	- New MenuItems for opening the Texture Window, and assorted editor commands.

# Changes
	- Move GUI folder to Resources, allowing 6by7 root folder to be placed anywhere in Project hierarchy.
	- Decouple collisions from ProBuilder API entirely.

# Bug Fixes
	- Fix bug where Mesh.Colors32 property would be lost on duplication.
	- Clamp values in Geometry Interface to sane values.
	- Fix plane generation pivot location when segments < 0.
	- Fix bug that caused Unity to no longer recognize numberical input.
	- Fix regression in 2.1.3 that caused MeshColliders break on entering playmode.
	- Fix bug where shortcut keys would sometimes not be recognized.
	- When updating ProBuilder, the editor window is now force-reloaded.
	- Editor window is now sized correctly for both dockable and non-dockable frames.
	- Fix compile errors when building project in Unity 4.1.2+
	- Fix bug that caused merged objects to incorrectly snap vertex points while ProGrids window is present.
	- Fix NullReferenceError when clicking Merge button with nothing selected.
	- Fix GUISkin issues in Unity 3.5.
	- Fix GUISkin modifications affecting pb_Geometry_Editor incorrectly.
	- Fix `Delete Face` notification incorrectly displaying on OSX.
	- Fix merged objects losing collisions.

# API
	- ProBuilder.Shortcut is now pb_Shortcut.
	- Add pb_Upgrade_Utility as a base class for all updating operations.

-- ProBuilder 2.1.3 --

# Features
	- New Vertex Color Interface.
	- New `Detach Face` action.
	- New `Toggle Mover Visibility` button.

# Changes
	- pb_Mesh_Extension renamed to pb_Object_Extensions.
	- Transition default shader to Diffuse Vertex Color.

# Bug Fixes
	- Fix pb_Object breakage when upgrading to 2.1.2+ from <= 2.1.1.
	- Fix bug where switching to Geometry mode would not always correctly set Tool.current to Tools.None.
	- Fix bug where calling the distinctIndices member of a pb_Face would sometimes throw an exception.
	- Fix null reference errors when deleting object faces.
	- Fix regression in 2.1.2 that caused non-cube type primitives to lose entity data and mesh information.
	- Fix regression that caused Nodraw Visiblity Toggle to break.

# API
	- Remove unnecessary calls to the mesh reference when accessing vertex information (most notably in UV mapping functions).
	- Cache distinct indices in pb_Face, replacing pb_Face::DistinctIndices() with pb_Face.distinctIndices.
	- Add pb_Edge class, and accompanying methods to retrieve all face edges and selectively perimeter edges.
	- Add SetColors32(Color32[] colors) to pb_Object class.
	- Add DetachFace(pb_Face face) to pb_Object class.

# Internal
	- Update to SVN 1.7, small adjustments to build scripts.
	- Add shell script to build distributable packages on OSX.

-- ProBuilder 2.1.2 --

# Features
	- New interface for pb_Entity class in Inspector.
	- Scale transform now supported.
	- Double click pb_Object face to select all faces.
	- New ProBuilder/About window provides more build information.
	- Full prefab support (removes "Create Prefab" button from ProBuilder editor).

# Changes
	- Rewrite context tip for Lightmapping button to reflect it`s new purpose.
	- Automatically freeze scale transform when applying any change to vertices.
	- Always ZTest for selection graphic in face mode.
	- `G` key now toggles between Edit Levels.
	- Remove face vertex handle information from scene view.
	- Remove install script from package.

# Bug Fixes
	- Fix bug where user would be allowed to add multiple collision components to pb_Object.
	- Fix bug where geometry would shift on Undo/Redo incorrectly.
	- Fix leak when deleting pb_Objects.
	- Fix regression in 2.1.1 that introduced a leak on switching pb_Objects while in ModeBased vertex editing.
	- Fix bug where selection graphics would occasionally not update on undo, redo, or prefab apply / revert.
	- Fix bug where setting EntityType would destroy transform parent/child connections.
	- Fix incorrecty window sizing in pb_Editor.
	- Fix rare error log when duplicating prefab objects.

# API
	- Add OnVertexMovementFinished event to pb_Editor.

# Internal
	- Implement SixBySeven shared library.

-- ProBuilder 2.1.1 --

# Features
	- Add MirrorTool action.
	- Add Prism primitive.
	- Add ProBuilderizer action (API example).
	- Add Flip Winding Order action (flips face normals).
	- Add dimensions parameter to Prism and Cube in Geometry Interface.
	- Add ability to delete faces (select faces and press backspace)

# Changes
	- "Auto NoDraw" becomes "NoDraw Tool", and features a vastly improved interface.
	- Scroll bars added to ProBuilder Preferences panel, allowing for unlimited preference additions.
	- Add undo support to Set Pivot action.
	- No longer force rename pb_Objects post-initialization.
	- Comment out menu item for Project Wide Nodraw utility, leaving action available for advanced users.

# Bug Fixes
	- Fix bug where handles in Seamless editing mode would not draw.
	- Fix bug where selected objects would disappear at runtime.
	- Fix bug where drag selection would not be recognized in Seamless editing mode.
	- Fix Unity crash when importing packages while ProBuilder window is open.
	- Fix regression in 2.1 where a MeshCollider would always be assigned to pb_Object, regardless of Collider settings.
	- Fix cylinder generation code to properly account for height divisions (now accepts 0 as a parameter).
	- Fix bug where undoing texture modifications would not consistently refresh pb_Object to original state.
	- Fix bug where pb_Objects would disappear at runtime with static batching enabled.
	- Add overload to TranslateVertices that accepts bool forceDisableSnap.
	- Fix bug in PivotTool that caused vertices to incorrectly be snapped when setting new pivot with snapping enabled.

# API Changes
	- Add pb_Object::InitWithObject
	- Add ProBuilder::CreateObjectWithObject
	- Add pb_Object::GetName
	- Add ProBuilder::CreatePrimitive(ProBuilder.Shape shape)

# Internal
	- Add DrawAllFaceNormals to #DEBUG flagged pb_Editor.
	- Update Sublime Extension to version 3.

-- ProBuilder 2.1 --

# Features
	- Add Smoothing Group support.
	- New face selection graphic system respects depth order + speed boost.
	- Add drag selection support for faces.
	- UV2 channel generation now totally automated.
	- New Lightmap Window exposes UnwrapParam properties per-object for fine-grained UV2 generation control.
	- Add smart object naming, with the convention "pb(Shape Type)([Entity Type])-(Object ID)" - ex: pb-Cube[Detail]-1701)
	- Add new "Mover" entity type, which is non-static and allows complete control at runtime.
	- Add support for n-gon faces.

# Changes
	- `World` is now default handle alignment.
	- Update default materials with dedicated textures.
	- Update QuickStart window with more explicit options.
	- Default values for Cylinder are now slightly more sane.

# Bug Fixes
	- Fix ProceduralMaterials throwing errors in Texture Editor.
	- Fix rare bug where incorrect vertex indices would be selected in an UpdateSelection() call, throwing a NullReferenceException.
	- Fix bug where toggling selected faces would not correctly remove vertices from internal selection list.
	- Fix bug where pivot would center at 0,0,0 on merging objects.
	- Hide ACG property in Inspector window.
	- Fix bug where merged objects would lose EntityType information.
	- Fix bug where prefab creation would not account for pb_Group data.
	- Fix bug where merged objects would lose normal data.
	- Fix bug where exiting Texture Mode would not consistently set Edit Mode to Top.
	- Fix bug where generating UV2 channel would incorrectly hide NoDraw faces, breaking synchronization with pb_Editor UI.
	- Fix bug where ListenForTopLevelMovement would incorrectly fire, significantly slowing scene navigation.
	- Fix bug where duplicating multiple objects would result in referenced pb_Objects.
	- Fix bug in pb_Group where SetActive would incorrectly be called in Unity 3.5.
	- Fix bug where collision meshes would not correctly update after an Undo / Redo event.
	- Fix bug where drag selection would not exit properly if a function key is pressed mid drag.
	- Fix bug where vertex handles would incorrectly be drawn in Top level editing mode.
	- Fix bug where deleting a pb_Object would occasionally cause a NullReferenceError in UpdateSelection().
	- Fix bug where Occluder objects would not allow textures to be applied.
	- Fix bug where box colliders would not properly inherit trigger boolean value.
	- Fix bug where merging objects or creating groups would not snap pivot point to grid (this also introduces centered pivot points).
	- Fix rare bug where get_localRotation would fail.
	- Fix white flash in Texture Window preview.
	- Fix bug where ProBuilder would not remember Handle Alignment setting.
	- Fix bug where editor selection property would not correctly update on object deletion.
	- Fix minor bug where vertex handles would sometimes not immediately draw on entering Geometry editing mode.
	- Fix bug where closing Texture Window manually would not always exit EditLevel.Texture.
	- Fix bug where an Undo/Redo event would sometimes cause pb_Editor to attempt to refresh every pb_Object in scene.
	- Fix bug where exiting EditLevel.Texture to Geo Mode would not correctly remember the previous SelectionMode. 
	- Fix bug where cylinder object sometimes initialize with un-even side lengths.
	- Fix bug where on deleting a pb_Object`s MeshCollider, ProBuilder would not immediately re-initialize it (prevents common PEBKAC error).

# API
	- Integrate Doxygen (Still a work in progress - feel free to drop by the forums with any questions).
	- Add SharedTrianglesWithFacesExclusive for extracting shared triangle indices exclusive to passed faces.
	- VerticesWithIndiceArray is now VerticesWithTriangleArray.
	- Remove pb_Object::CreatePrimitive.  Use pb_Shape for object creation, or pb_Object::CreateCube(float scale).
	- Add OnVertexMovement EventHandler to pb_Object.
	- pb_Object::CreateObjectWithPointsfaces is now pb_Object::CreateObjectWithVerticesFaces.

# Actions
	- Update AutoNodraw to cast from all vertices + center point when determining hidden flag.
	- In PivotTool.cs, snap pivot point to grid if no vertices are selected.
	- Refactor EntityType.Brush to EntityType.Detail.

# Internal
	- Add pb_Profiler class
	- Add UVee window + ProBuilder specific modifications
	- Add internal preference to force update preference when necessary (usually means adding shortcut items).
	- Significant performace improvements in handle drawing.